/**
 * Extending customizer module.
 */
(function($, api, _) {
	"use strict";
	
	const optionsKey    = Bunyad_CZ_Data.settingPrefix;
	const controlPrefix = Bunyad_CZ_Data.controlPrefix;
	
	/**
	 * Mailchimp parse
	 */
	$(document).on('input change', '#customize-control-bunyad_home_subscribe_url input', function() {
		
		var code = $(this).val(),
		    match = code.match(/action=\"([^\"]+)\"/);
		
		if (match) {
			$(this).val(match[1]);
		}
	});
	
	// Magazine settings - no longer applied.
	// api(`${optionsKey}[predefined_style]`, function(setting) {
	// 	setting.bind(function(new_val, old_val) {
			
	// 		// Changing to magazine
	// 		if (new_val == 'magazine') {
				
	// 			api.control(controlPrefix + 'meta_style').setting.set('style-c');
	// 			api.control(controlPrefix + 'post_footer_list').setting.set(0);
	// 			api.control(controlPrefix + 'post_footer_grid').setting.set(0);
	// 			api.control(controlPrefix + 'meta_cat_labels').setting.set(1);
				
	// 		}
			
	// 		// Changing from magazine
	// 		if (old_val == 'magazine') {
	// 			api.control(controlPrefix + 'meta_style').setting.set('');
	// 			api.control(controlPrefix + 'post_footer_list').setting.set(1);
	// 			api.control(controlPrefix + 'post_footer_grid').setting.set(1);
	// 			api.control(controlPrefix + 'meta_cat_labels').setting.set(0);
	// 		}
	// 	});
	// });

	// Grid-b should have read more button enabled.
	api('cheerup_theme_options[post_grid_style]', function(setting) {
		setting.bind(function(value, old) {
			if (value == 'grid-b') {
				api.control(controlPrefix + 'post_grid_read_more').setting.set(1);
			}
		});
	});

	/**
	 * Header related settings
	 */

	// Sync settings of nav_style and topbar_style for headers that don't have a
	// separation of the two. 
	const syncNavAndTopbar = function() {

		const headerLayout = api(optionsKey + '[header_layout]').get();
		if (['nav-below', 'nav-below-b', 'compact', 'simple', 'simple-boxed'].includes(headerLayout)) {
			return;
		}

		const current = api(optionsKey + '[topbar_style]').get();
		api(optionsKey + '[nav_style]').set(current);
	}

	api(optionsKey + '[topbar_style]', (setting) => {
		setting.bind(syncNavAndTopbar);
	});

	api(optionsKey + '[header_layout]', (setting) => {

		// const valueMap = [
		// 	{
		// 		match: ['nav-below', 'full-top'],
		// 		updates: {
		// 			'nav_style': 'light',
		// 			'topbar_style': 'light'
		// 		}
		// 	}
		// ];

		setting.bind((value, old) => {
			// valueMap.forEach(condition => {
			// 	if (!condition.match.includes(value)) {
			// 		return;
			// 	}

			// 	for (let [key, newVal] of Object.entries(condition.updates)) {
			// 		api.control(key).setting.set(newVal);
			// 	}
			// });

			syncNavAndTopbar();

			// These three should always have a light navigation.
			if (['simple', 'simple-boxed', 'compact'].includes(value)) {
				api(optionsKey + '[nav_style]').set('light');
			}

			// Compact header should default to dark topbar.
			if (value === 'compact') {
				api(optionsKey + '[topbar_style]').set('dark');
			}
		});
	});

	api(optionsKey + '[read_more_style]', (setting) => {
		const affected = ['css_read_more*'];
		Bunyad_CZ.presetsNotice.setup(setting, affected, '_n_read_more_style');
	});

	api(optionsKey + '[header_layout]', (setting) => {
		const affected = ['css_header_*', 'css_topbar_*', 'css_nav_*', 'css_drop_*', 'css_logo_*'];
		Bunyad_CZ.presetsNotice.setup(setting, affected, '_n_header_layout');
	});

	api(optionsKey + '[sidebar_titles_style]', (setting) => {
		const affected = ['css_sidebar_title_*'];
		Bunyad_CZ.presetsNotice.setup(setting, affected, '_n_sidebar_titles');
	});


})(jQuery, wp.customize, _);