<?php
/**
 * Mega Menu Posts
 */
$props = array_replace([
	'id'            => 0,
	'posts'         => '',
	'have_sub_menu' => false,
	'page'          => 1,
], $props);

if (!$props['posts']) {
	$props['posts'] = $props['have_sub_menu'] ? 4 : 5;
}

$query = new WP_Query(apply_filters(
	'bunyad_mega_menu_query_args', 
	[
		'cat' => $props['id'], 
		'paged' => $props['page'],
		'posts_per_page' => $props['posts'],
		'ignore_sticky_posts' => 1
	],
	'category'
));

// Attributes for the wrapper.
$wrap_attribs = [
	'class'      => 'posts-wrap',
	'data-posts' => $props['posts'],
	'data-id'    => $props['id'],
	'data-page'  => $props['page'],
	'data-pages' => (
		$query->found_posts < $props['posts'] 
			? 1 
			: ceil($query->found_posts / $props['posts'])
	)
];

if ($props['have_sub_menu']) {
	$wrap_attribs['data-submenu'] = 1;
}

$posts_class = 'ts-row cf posts posts-' . ((int) $props['page']);

?>
	
<div <?php Bunyad::markup()->attribs('mega-menu-posts-' . $props['id'], $wrap_attribs); ?>>
	<div class="<?php echo esc_attr($posts_class); ?>">

	<?php while ($query->have_posts()): $query->the_post(); ?>
	
		<div class="<?php echo ($props['have_sub_menu'] ? 'col-3' : 'column one-fifth'); ?> post">
			
			<?php
				Bunyad::media()->the_image('post-thumbnail');
			?>
			
			<a href="<?php the_permalink(); ?>" class="post-title"><?php the_title(); ?></a>
	
			<?php

				Bunyad::helpers()->post_meta(
					'mega-menu',
					[
						'items_above' => [],
						'items_below' => ['date'],
						'show_title'  => false,
						'align'       => ''
					]
				);
			?>
		</div>
		
	<?php endwhile; wp_reset_postdata();  ?>
	</div>
</div>