<?php 
/**
 * Mega Menu Category - Display recent posts from a parent category
 */

// Walker to create the left part of mega menu
$sub_walker = new Walker_Nav_Menu;
$have_sub_menu = !empty($sub_items) ? true : false;

if (!isset($sub_items)) {
	$sub_items = array();
}

?>
<div class="sub-menu mega-menu wrap">

	<?php if ($have_sub_menu): ?>
	
	<div class="column sub-cats">
		
		<ol class="sub-nav">
			<?php foreach ($sub_items as $nav_item): ?>
				
				<?php 
					
					ob_start();
					
					// Simulate a simpler walk - $escaped_output is passed-by-ref
					$escaped_output = '';
					$sub_walker->start_el($escaped_output, $nav_item, 0, $args);
					$sub_walker->end_el($escaped_output, $nav_item, $args);
					
					ob_end_clean();
					
					echo $escaped_output; // phpcs:ignore WordPress.Security.EscapeOutput -- Safe markup generated via WordPress default Walker_Nav_Menu::start_el()
				?>				
			<?php endforeach; ?>
			
			<li class="menu-item view-all menu-cat-<?php echo esc_attr($item->object_id); ?>"><a href="<?php echo esc_url($item->url); ?>"><?php 
				esc_html_e('View All', 'cheerup'); ?></a></li>
		</ol>
	
	</div>
	

	<?php endif; ?>
	
	<?php
		// Add main item (view all) as default
		array_push($sub_items, $item);
	?>

	<section class="column recent-posts">

		<?php 
			
			foreach ($sub_items as $item) {
				Bunyad::core()->partial('partials/mega-menu-posts', [
					'props' => [
						'id'            => $item->object_id,
						'have_sub_menu' => $have_sub_menu
					]
				]);
			}
		
		?>

		<div class="navigate">
			<a href="#" class="show-prev disabled"><i class="tsi tsi-angle-left"></i><span class="visuallyhidden"><?php esc_html_e('Previous', 'cheerup'); ?></span></a>
			<a href="#" class="show-next"><i class="tsi tsi-angle-right"></i><span class="visuallyhidden"><?php esc_html_e('Next', 'cheerup'); ?></span></a>
		</div>
		
	</section>

</div>